meta-google: gbmc-update: Migrate to curl
We want to remove wget from busybox so we need an alternate fetcher.
Tested: Ran locally against an installer URL to verify the behavior
Change-Id: Ib3a00002d7d2d02bd6b29e24f0dbe2c7c9243514
Signed-off-by: William A. Kennington III <wak@google.com>
diff --git a/meta-google/recipes-phosphor/flash/gbmc-update.bb b/meta-google/recipes-phosphor/flash/gbmc-update.bb
index 2c0f510..c0a3f7a 100644
--- a/meta-google/recipes-phosphor/flash/gbmc-update.bb
+++ b/meta-google/recipes-phosphor/flash/gbmc-update.bb
@@ -11,6 +11,8 @@
FILES:${PN} += "${datadir}/gbmc-br-dhcp"
+RDEPENDS:${PN} += "curl"
+
do_install() {
install -d ${D}${datadir}/gbmc-br-dhcp
install -m 0644 ${WORKDIR}/75-gbmc-upgrade.sh ${D}${datadir}/gbmc-br-dhcp/
diff --git a/meta-google/recipes-phosphor/flash/gbmc-update/75-gbmc-upgrade.sh b/meta-google/recipes-phosphor/flash/gbmc-update/75-gbmc-upgrade.sh
index 1ed4b9a..f002b22 100644
--- a/meta-google/recipes-phosphor/flash/gbmc-update/75-gbmc-upgrade.sh
+++ b/meta-google/recipes-phosphor/flash/gbmc-update/75-gbmc-upgrade.sh
@@ -46,10 +46,11 @@
# Ensure some sane output file limit
# Currently no BMC image is larger than 64M
ulimit -H -f $((96 * 1024 * 1024)) || return
- timeout=$((SECONDS + 120))
+ timeout=$((SECONDS + 300))
while (( SECONDS < timeout )); do
local st=(0)
- wget -q -O - "$bootfile_url" | tar -xC "$tmpdir" "firmware-gbmc/$machine" || st=("${PIPESTATUS[@]}")
+ curl -LSsk --max-time $((timeout - SECONDS)) "$bootfile_url" |
+ tar -xC "$tmpdir" "firmware-gbmc/$machine" || st=("${PIPESTATUS[@]}")
(( st[0] != 0 )) || break
(shopt -s nullglob dotglob; rm -rf -- "${tmpdir:?}"/*)
sleep 5